# C compound server interface exporting rules.
#
# Copyright (C) 2020 Paul Boddie <paul@boddie.org.uk>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA

define export_comp_interface_c_template =
ifdef IDL_EXPORT_DIR
$(1)_INT_IDL	= $(call interfaces_to_idl,$(3))
$(1)_INT_INC	= $(call export_includes, $(call interfaces_to_interfaces_h,$(1)))
$(1)_INT_OPT   	= --comp=$(1) --comp-name=$(2)

$$($(1)_INT_INC): $$($(1)_INT_IDL)
	-mkdir -p $(IDL_EXPORT_DIR)
	$(IDL_PROG) -d $(IDL_EXPORT_DIR) $$($(1)_INT_OPT) --interfaces --language=c $$($(1)_INT_IDL)
endif
endef
